pring.<x> = QQ[]

P0 = 7*x**5 - 22*x**4 + 55*x**3 + 94*x**2 - 87*x + 56
P1 = 62*x**4 - 97*x**3 + 73*x**2 + 4*x + 83
P2 = P0 % P1
P3 = P1 % P2
P4 = P2 % P3
P5 = P3 % P4

PP = [P0,P1,P2,P3,P4,P5]

print(f"Running the Euclidean algorithm on\n\tP0 = {P0}\n\tP1 = {P1}")
print("to find the GCD of P0 and P1.\n")

for i in range(2,len(PP)):
    print(f"Step {i-2}: P{i} = P{i-2} mod P{i-1} = {PP[i]}\n")
